Skip to main content
GET
/
product
/
get
/
{id}
cURL
curl --request GET \
  --url https://{portalApiUrl}/product/get/{id} \
  --header 'Authorization: <api-key>'
{
  "status": true,
  "result": {
    "product_id": 4821,
    "product_key": "advanced-leadership-2024",
    "product_type_id": "elearning",
    "product_status": "published",
    "product_i18n_language_id": "fr",
    "product_i18n_slug": "advanced-leadership-2024",
    "product_i18n_title": "Leadership avancé",
    "product_i18n_summary": "Développez vos compétences en leadership stratégique.",
    "product_i18n_description": "<p>Ce cours explore les fondements du leadership moderne dans un contexte organisationnel complexe.</p>",
    "product_price": 149.99,
    "product_for_sale": 1,
    "product_add_to_catalog": 1,
    "product_min_score": 70,
    "product_duration": 480,
    "product_event_date": null,
    "product_event_end_date": null,
    "product_event_type": null,
    "product_certificate_report": 1,
    "product_certificate_working_type": "hours",
    "product_allow_notation": 1,
    "product_certificate_unit": 8,
    "product_certificate_hour": 8,
    "product_waiting_list": 0,
    "product_show_list_of_participants": 0,
    "product_min_participant": 0,
    "product_external_id": "EXT-LDR-482",
    "product_external_code": "LDR2024-ADV",
    "product_i18n_name": "Leadership avancé",
    "product_i18n_learn": "<ul><li>Gestion d'équipes multiculturelles</li><li>Prise de décision stratégique</li></ul>",
    "product_i18n_certificate_mention": "Leadership et gestion",
    "product_i18n_region": "Québec",
    "product_i18n_admissibility": "Gestionnaires intermédiaires et seniors",
    "product_i18n_audience": "Cadres, directeurs et managers",
    "product_i18n_how_to_access": "Disponible sur la plateforme illuxi après inscription.",
    "product_i18n_extra_info": null,
    "product_i18n_programmation": null,
    "product_i18n_image_spotlight": null,
    "product_i18n_first_reminder_text": null,
    "product_i18n_second_reminder_text": null,
    "product_i18n_post_reminder_text": null,
    "product_i18n_speaker_bio": "Sophie Tremblay, coach exécutive certifiée avec 15 ans d'expérience.",
    "product_i18n_registration_text": null,
    "product_i18n_creator_name": "Sophie Tremblay",
    "product_i18n_creator_url": "https://illuxi.com/formateurs/sophie-tremblay",
    "product_i18n_promo_video_url": "https://vimeo.com/842931045",
    "product_i18n_promo_video_url_vimeo_video_id": "842931045",
    "product_i18n_promo_video_url_vimeo_video_status": "available",
    "product_i18n_external_link": null,
    "product_i18n_do_external_link": null,
    "product_i18n_video_transcription": null,
    "product_i18n_content": null,
    "product_i18n_image": "products/4821/cover.jpg",
    "product_i18n_price_label": "149,99 $",
    "product_created_date": "2024-03-15T09:22:11Z",
    "product_updated_date": "2024-11-08T14:05:37Z",
    "product_created_by_user_id": 102,
    "product_updated_by_user_id": 87,
    "product_image_full_url": "https://yourportal.illuxi.com/storage/products/4821/cover.jpg",
    "product_product_access_expired_day": 365,
    "product_event_access_need_approval": 0,
    "product_do_before_type": null,
    "product_provider_id": 3
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Path Parameters

id
integer<int>
required

ID of product to get

Response

product response

status
boolean
result
object